@use "../../../styles/colors";

.status {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.8rem;
  padding: 1.2rem 0;
  width: 10.8rem;
  border-radius: 0.6rem;
  text-transform: capitalize;

  &--paid {
    background-color: colors.$paid-transparent;
    color: colors.$paid;
  }

  &--pending {
    background-color: colors.$pending-transparent;
    color: colors.$pending;
  }

  &--draft {
    background-color: colors.$draft-transparent;
    color: colors.$draft;
  }

  &__circle {
    width: 0.8rem;
    height: 0.8rem;
    border-radius: 50%;

    &--paid {
      background-color: colors.$paid;
    }

    &--pending {
      background-color: colors.$pending;
    }

    &--draft {
      background-color: colors.$draft;
    }
  }

  &__text {
    font-weight: 700;
  }
}
